Bug 234971

Summary: devel/ccache: Update to 3.7.9
Product: Ports & Packages Reporter: kunda <chitty_cloud>
Component: Individual Port(s)Assignee: Bryan Drewery <bdrewery>
Status: New ---    
Severity: Affects Only Me CC: bdrewery, ml+freebsd, osidorkin
Priority: --- Keywords: needs-patch
Version: LatestFlags: bugzilla: maintainer-feedback? (bdrewery)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn diff for ccache 3.7.1->3.7.7 update
none
svn diff for ccache 3.7.1->3.7.9 update
none
3.7.12 ml+freebsd: maintainer-approval? (bdrewery)

Comment 1 Bryan Drewery freebsd_committer 2019-01-15 21:58:09 UTC
Thanks
Comment 2 Bryan Drewery freebsd_committer 2019-01-15 21:59:59 UTC
"ccache now includes the environment variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES in the hash since they may affect localization of compiler warning messages. Set sloppiness to locale to opt out of this". Ew that's going to hurt a lot.
Comment 3 kunda 2019-03-07 18:35:05 UTC
(In reply to Bryan Drewery from comment #2)
What are the prospects of this port getting updated based on what you wrote above?
Comment 4 Bryan Drewery freebsd_committer 2019-03-07 18:36:01 UTC
(In reply to kunda from comment #3)
> (In reply to Bryan Drewery from comment #2)
> What are the prospects of this port getting updated based on what you wrote
> above?

The only real blocker to this PR is time for me to test. It's overall a trivial
update. I just need to prioritize it. Thanks for the ping.
Comment 5 kunda 2019-04-03 10:31:00 UTC
soft bump :)
Comment 6 kunda 2019-04-24 15:07:55 UTC
ccache 3.7 has been released 
https://ccache.dev/releasenotes.html#_ccache_3_7
(Updated ticket summary)
Comment 7 kunda 2019-05-16 20:07:55 UTC
3.7.1 was released 
https://ccache.dev/releasenotes.html#_ccache_3_7_1
Comment 8 Bryan Drewery freebsd_committer 2019-05-18 01:06:04 UTC
Ugh sorry. Thanks for the reminders. I’m at bsdcan so FreeBSD is on my mind. Will
Write a patch tomorrow.
Comment 9 commit-hook freebsd_committer 2019-05-18 21:53:47 UTC
A commit references this bug:

Author: bdrewery
Date: Sat May 18 21:53:05 UTC 2019
New revision: 501985
URL: https://svnweb.freebsd.org/changeset/ports/501985

Log:
  Update ccache to 3.7.1

  Changes: https://ccache.dev/releasenotes.html#_ccache_3_7_1

  ccache-memcached is not updated in this commit.

  PR:		234971

Changes:
  head/devel/ccache/Makefile
  head/devel/ccache/distinfo
  head/devel/ccache/files/extra-patch-configure.ac
Comment 10 kunda 2019-08-20 00:04:55 UTC
ccache 3.7.3 is available  
https://ccache.dev/releasenotes.html#_ccache_3_7_3
Comment 11 kunda 2019-11-04 19:10:55 UTC
soft bump
Comment 12 Oleg Sidorkin 2020-02-01 15:30:55 UTC
Created attachment 211253 [details]
svn diff for ccache 3.7.1->3.7.7 update

trivial update to 3.7.7 (works for me during src and ports builds)
Comment 13 Bryan Drewery freebsd_committer 2020-02-02 18:03:12 UTC
Thanks will look this week.
Comment 14 Oleg Sidorkin 2020-06-03 13:17:28 UTC
Created attachment 215193 [details]
svn diff for ccache 3.7.1->3.7.9 update

cache 3.7.9 is here
Comment 15 Charlie Li 2020-11-27 02:34:48 UTC
4.1 has been released. Supposedly fixes some precompiled header quirks, among other things.
Comment 16 Charlie Li 2020-11-27 02:42:23 UTC
Also, the 4.0 branch is implemented in C++ and uses CMake as the build system. Not sure what this will bode for our memcached stuff.
Comment 17 Charlie Li 2020-11-27 06:14:26 UTC
Created attachment 220025 [details]
3.7.12

In the interim, here is an update to 3.7.12, the last in the pure C 3.7 series. All existing patches still work.
Comment 18 Bryan Drewery freebsd_committer 2020-12-02 01:11:46 UTC
Thank you for the 3.7 patch. A review was posted to https://reviews.freebsd.org/D27393 for 4.1. I haven't had a chance to review it yet.